---
apiVersion: helm.fluxcd.io/v1
kind: HelmRelease
metadata:
  name: nextcloud
  namespace: oas-apps
  annotations:
    flux.weave.works/automated: "false"
spec:
  # Calling the release "nextcloud" runs into a bug in the helm chart.
  # See https://open.greenhost.net/openappstack/nextcloud/issues/3 for details.
  releaseName: nc
  chart:
    git: https://open.greenhost.net/openappstack/nextcloud
    ref: master
    path: .
  valuesFrom:
    - secretKeyRef:
        name: nextcloud-settings
        key: values.yaml
  timeout: 1800
